petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateOverlap

Compute owner information for shared points. This basically gets two-sided for an SF.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateOverlap(DM dm, PetscInt levels, PetscSection rootSection, IS rootrank, PetscSection leafSection, IS leafrank, DMLabel *ovLabel)

Collective on DM

### Input Parameters

| dm | - The DM
| levels | - Number of overlap levels
| rootSection | - The number of leaves for a given root point
| rootrank | - The rank of each edge into the root point
| leafSection | - The number of processes sharing a given leaf point
| leafrank | - The rank of each process sharing a leaf point

### Output Parameters

| ovLabel | - DMLabel containing remote overlap contributions as point/rank pairings

### See Also

DMPlexDistributeOwnership(), DMPlexDistribute()

### Level

developer

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages